Skip to content

Return one warranty plan.

GET
/api/workspace/entitlement-operations/models/warranty/{modelId}/plans/{planId}
curl --request GET \
--url https://example.com/api/workspace/entitlement-operations/models/warranty/example/plans/example
  • None
modelId
required
string
planId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Detailed warranty plan.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
EntitlementModelId
string
nullable
EntitlementModelDisplayName
string
nullable
Description
string
nullable
PriceAmount
number format: double
nullable
PriceCurrencyCode
string
nullable
MaxCoveredPartyCount
integer format: int32
nullable
SortOrder
integer format: int32
IsActive
boolean
ResourceCount
integer format: int32
Families
Array<object>
nullable

Plan family reference attached to a plan or exposed for plan authoring.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
SortOrder
integer format: int32
IsActive
boolean
DurationValue
integer format: int32
nullable
DurationUnit
integer format: int32
Allowed values: 0 1 2
GracePeriodValue
integer format: int32
nullable
GracePeriodUnit
integer format: int32
Allowed values: 0 1 2
ConsumableQuantity
number format: double
nullable
TimeBoundQuantity
number format: double
nullable
TimeBoundWindowValue
integer format: int32
nullable
TimeBoundWindowUnit
integer format: int32
Allowed values: 0 1 2
TimeBoundWindowAnchor
integer format: int32
Allowed values: 0 1
IssuedTermsRequirement
integer format: int32
Allowed values: 0 1 2
Resources
Array<object>
nullable

Resource attached to a plan.

object
Id
string
nullable
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
ResourceEntityInstanceId
string
nullable
DisplayName
string
nullable
Breadcrumbs
Array<object>
nullable

One breadcrumb item for a selected plan resource.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
ResourceEntityInstanceId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
RowVersion
string format: uuid
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"DurationUnit": 0,
"GracePeriodUnit": 0,
"TimeBoundWindowUnit": 0,
"TimeBoundWindowAnchor": 0,
"IssuedTermsRequirement": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Detailed warranty plan.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
EntitlementModelId
string
nullable
EntitlementModelDisplayName
string
nullable
Description
string
nullable
PriceAmount
number format: double
nullable
PriceCurrencyCode
string
nullable
MaxCoveredPartyCount
integer format: int32
nullable
SortOrder
integer format: int32
IsActive
boolean
ResourceCount
integer format: int32
Families
Array<object>
nullable

Plan family reference attached to a plan or exposed for plan authoring.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
SortOrder
integer format: int32
IsActive
boolean
DurationValue
integer format: int32
nullable
DurationUnit
integer format: int32
Allowed values: 0 1 2
GracePeriodValue
integer format: int32
nullable
GracePeriodUnit
integer format: int32
Allowed values: 0 1 2
ConsumableQuantity
number format: double
nullable
TimeBoundQuantity
number format: double
nullable
TimeBoundWindowValue
integer format: int32
nullable
TimeBoundWindowUnit
integer format: int32
Allowed values: 0 1 2
TimeBoundWindowAnchor
integer format: int32
Allowed values: 0 1
IssuedTermsRequirement
integer format: int32
Allowed values: 0 1 2
Resources
Array<object>
nullable

Resource attached to a plan.

object
Id
string
nullable
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
ResourceEntityInstanceId
string
nullable
DisplayName
string
nullable
Breadcrumbs
Array<object>
nullable

One breadcrumb item for a selected plan resource.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
ResourceEntityInstanceId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
RowVersion
string format: uuid
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"DurationUnit": 0,
"GracePeriodUnit": 0,
"TimeBoundWindowUnit": 0,
"TimeBoundWindowAnchor": 0,
"IssuedTermsRequirement": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}